org.eclipse.che.api.machine.server.exception.MachineException

Error response from docker API, status: 400, message: client is newer than server (client API version: 1.20, server API version: 1.19)

Samebug tips0

There are no available Samebug tips for this exception. If you know how to solve this issue, help other users by writing a short tip.

Don't give up yet. Paste your full stack trace to get a solution.

Solutions on the web52

  • via GitHub by chestnutprog
    , 11 months ago
    Error response from docker API, status: 400, message: client is newer than server (client API version: 1.20, server API version: 1.19)
  • Error response from docker API, status: 500, message: Error parsing reference: "eclipse-che/che_workspace1mv8r5wmyqa2vo6t_newMashine55_3l1jf" is not a valid repository/tag
  • via GitHub by zaozaool
    , 1 year ago
    Error response from docker API, status: 404, message: Container command '/bin/sh' not found or does not exist.
  • Stack trace

    • org.eclipse.che.api.machine.server.exception.MachineException: Error response from docker API, status: 400, message: client is newer than server (client API version: 1.20, server API version: 1.19) at org.eclipse.che.api.machine.server.MachineManager.createInstance(MachineManager.java:416)[che-core-api-machine-4.6.2.jar:4.6.2] at org.eclipse.che.api.machine.server.MachineManager.createMachine(MachineManager.java:340)[che-core-api-machine-4.6.2.jar:4.6.2] at org.eclipse.che.api.machine.server.MachineManager.createMachineSync(MachineManager.java:166)[che-core-api-machine-4.6.2.jar:4.6.2] at org.eclipse.che.api.workspace.server.WorkspaceRuntimes.startMachine(WorkspaceRuntimes.java:582)[che-core-api-workspace-4.6.2.jar:4.6.2] at org.eclipse.che.api.workspace.server.WorkspaceRuntimes.startQueue(WorkspaceRuntimes.java:458)[che-core-api-workspace-4.6.2.jar:4.6.2] at org.eclipse.che.api.workspace.server.WorkspaceRuntimes.start(WorkspaceRuntimes.java:216)[che-core-api-workspace-4.6.2.jar:4.6.2] at org.eclipse.che.api.workspace.server.WorkspaceManager.lambda$performAsyncStart$2(WorkspaceManager.java:533)[che-core-api-workspace-4.6.2.jar:4.6.2] at org.eclipse.che.commons.lang.concurrent.CopyThreadLocalRunnable.run(CopyThreadLocalRunnable.java:28)[che-core-commons-lang-4.6.2.jar:4.6.2] at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)[na:1.8.0_92-internal] at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)[na:1.8.0_92-internal] at java.lang.Thread.run(Thread.java:745)[na:1.8.0_92-internal] Caused by: org.eclipse.che.api.machine.server.exception.MachineException: Error response from docker API, status: 400, message: client is newer than server (client API version: 1.20, server API version: 1.19) at org.eclipse.che.plugin.docker.machine.DockerInstanceProvider.buildImage(DockerInstanceProvider.java:409)[che-plugin-docker-machine-4.6.2.jar:4.6.2] at org.eclipse.che.plugin.docker.machine.local.interceptor.EnableOfflineDockerMachineBuildInterceptor.invoke(EnableOfflineDockerMachineBuildInterceptor.java:70)[che-plugin-docker-machine-4.6.2.jar:4.6.2] at org.eclipse.che.plugin.docker.machine.DockerInstanceProvider.createInstance(DockerInstanceProvider.java:322)[che-plugin-docker-machine-4.6.2.jar:4.6.2] at org.eclipse.che.api.machine.server.MachineManager.createInstance(MachineManager.java:379)[che-core-api-machine-4.6.2.jar:4.6.2] ... 10 more Caused by: org.eclipse.che.plugin.docker.client.exception.DockerException: Error response from docker API, status: 400, message: client is newer than server (client API version: 1.20, server API version: 1.19) at org.eclipse.che.plugin.docker.client.DockerConnector.getDockerException(DockerConnector.java:1304)[che-plugin-docker-client-4.6.2.jar:4.6.2] at org.eclipse.che.plugin.docker.client.DockerConnector.buildImage(DockerConnector.java:785)[che-plugin-docker-client-4.6.2.jar:4.6.2] at org.eclipse.che.plugin.docker.client.DockerConnector.buildImage(DockerConnector.java:748)[che-plugin-docker-client-4.6.2.jar:4.6.2] at org.eclipse.che.plugin.docker.machine.DockerInstanceProvider.buildImage(DockerInstanceProvider.java:400)[che-plugin-docker-machine-4.6.2.jar:4.6.2] ... 13 more

    Write tip

    You have a different solution? A short tip here would help you and many other users who saw this issue last week.

    Users with the same issue

    You’re the first here who have seen this exception.